/*
 * Java
 *
 * Copyright 2013-2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.kf;

public interface KernelNativesConstants {

	/**
	 * VM Known.
	 * @see KernelNatives#loadStaticFeatureByName(char[], int)
	 */
	public static final int ERROR_LOADSTATIC_ALREADYLOADED = -1;

	/**
	 * VM Known.
	 * @see KernelNatives#loadStaticFeatureByName(char[], int)
	 */
	public static final int ERROR_LOADSTATIC_NOT_FOUND = -2;

	/**
	 * VM Known.
	 * @see KernelNatives#getData(long)
	 */
	public static final int KERNEL_DESCRIPTOR = -1;

}
