/*
 * Java
 * 
 * Copyright 2010-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map;

public interface IBlock {

	public String getName();

	public String getInputUnit();
	
	public long getStartAddress();
	
	public long getRelocStartAddress();
	
	public int getImageSize();
	
	public int getDynamicSize();
	
	public ISymbol[] getReferencedSymbols();

}
